## pyferret 7.6.0~beta

=== debian/changelog ===
pyferret (7.6.0~beta-2) unstable; urgency=medium

  * Fix FTBFS due to missing symbol in patch. Closes: #960799

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 May 2020 18:05:39 +0100

pyferret (7.6.0~beta-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS with gcc10 / gfortran10. Closes: #957721
  * Add first autopkgtest framework
  * B-D on python3-all-dev for multiple python3 versions
  * Fix DEP-5 Formatting error in d/copyright

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 May 2020 11:39:02 +0100

pyferret (7.5.0-5) unstable; urgency=medium

  * Fix build with multiple python versions

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Mar 2020 15:18:51 +0000

pyferret (7.5.0-4) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Move from --with python3 to using dh-sequence-python3

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Mar 2020 20:23:02 +0000

pyferret (7.5.0-3) unstable; urgency=medium

  * Use debhelper-compat (=12)
  * Use https homepage
  * Fix FTBFS with python3.8 and pango from experimental. Thanks
    to Matthias Klose. Closes: #950134

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Feb 2020 18:13:37 +0000
