=== debian/changelog ===
pyferret (7.6.3-3) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/tests/control:
    - Build-Depends on python3-all since the tests try to import for all
      supported python versions and not only the current one
      Closes: #975246

  [ Alastair McKinstry ]
  * standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Nov 2020 15:26:15 +0000

pyferret (7.6.3-2) unstable; urgency=medium

  * Update d/not-installed to work with python3.9. Closes: #972430, #972347
  * Minor fixes to d/copyright syntax
  * Include missing files in d/missing (from git HEAD):
    - load_dsg_mask_ftrset_var.F
    - disp_data_set_up.F
    - dsg_traj_alongxy_setup.F
    - tm_dsg_ftrset_facts.F
    - plot_vs_set_up.F
    - make_dsg_ftrset_mask.F
    - reload_dsg_ftrmaskvar.F
    - dsg_pltalong_setup.F
    - make_dsg_feature_mask_dirs.F 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Oct 2020 08:52:39 +0100

pyferret (7.6.3-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper compat 13
  * Use d/gpb.conf to label DEP-14 branches; debian/ upstream /latest
  * Some files are no longer present ; path to remove from SOURCE_FILES
  * Add d/not-installed to document files not expected to be installed;
    ensure all ext_func/pylibs/* are installed

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Sep 2020 12:23:22 +0100
