=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: pyferret
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://ferret.pmel.noaa.gov/Ferret/documentation/pyferret
 Vcs-Browser: https://salsa.debian.org:/science-team/pyferret
-Vcs-Git: https://salsa.debian.org:/science-team/pyferret.git
+Vcs-Git: https://salsa.debian.org:/science-team/pyferret.git -b debian/latest
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Section: science
 Priority: optional
 X-Python3-Version: >= 3.6
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-sequence-python3,
  gfortran | fortran-compiler,
  pkg-config,
