=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,4 @@
  ; echo "Testing with $py:"
  ; $py -c "import pyferret"
  ; done
-Depends: python3-ferret
+Depends: python3-ferret, python3-all
