=== debian/changelog ===
pyferret (7.6.5-10) unstable; urgency=medium

  * Add support for gfortran-15. Closes: #1114278
  * Remove old-fsf-address-in-copyright-file
  * Standards-Version: 4.7.2
  * Add misc:Depends for python3-ferret

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Sep 2025 05:44:41 +0100

pyferret (7.6.5-9) unstable; urgency=medium

  [ Bastian Germann ]
  * Drop X-Python3-Version

  [ Alexandre Detiste ]
  * add explicit build-dependency on python3-setuptools (Closes: #1080708)

  [ Alastair McKinstry ]
  * Fix for numpy2; thanks to Stuart Prescott. Closes: #1094373
  * Build-depend on python3-numpy-dev for dh_numpy3
  * Link external plugins against libc
  * Drop incorrect lintian overrides
  * Correct d/copyright filename errors, thanks Lintian

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Feb 2025 12:02:58 +0000

pyferret (7.6.5-8) unstable; urgency=medium

  * Team upload
  * tests: Correct import name
  * Fix salsa URL
  * d/copyright: Fix obvious errors

  [ Stuart Prescott ]
  * Fix Maintainer/Uploaders to match Debian Science Team policy
  * Fix Python Qt dependencies (Closes: 1089961)

 -- Bastian Germann <bage@debian.org>  Fri, 17 Jan 2025 19:46:05 +0100

pyferret (7.6.5-7) UNRELEASED; urgency=medium

  * Standards-Version: 4.7.0
  * Add build-dep on python3-setuptools. Closes: #1080708
  * Move from pkg-config to pkgconf

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Aug 2024 09:04:31 +0100

pyferret (7.6.5-6) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Port to setuptools
  * Drop obsolete dep on python3-future. Closes: #1058862
  * Depend on fortran-mod >=  0.31 for correct FMODDIR
  * Add platform files to debian for gcc14
  * gcc14.patch: changes for missing declarations. Closes: #1058888

  [ Colin Watson ]
  * Fix Python build paths to work on more architectures (closes: #1058888).

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Aug 2024 08:45:47 +0100

pyferret (7.6.5-5) unstable; urgency=medium

  * Ensure all python3 types are shipped. Closes: #1058030
  * Add fortran-support.mk makefile, start simplifcation
  * Drop patching files that were missing in 7.6.3
  * Include bash_completion file

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Dec 2023 19:22:01 +0000

pyferret (7.6.5-4) unstable; urgency=medium

  * Drop workaround needed for 7.6.3 bug
  * Fix python paths for build system changes. Closes: #1054691

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Nov 2023 10:51:48 +0000

pyferret (7.6.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix broken Vcs URL.

  [ Alastair McKinstry ]
  * Add platform definition files for gfortran-13. Closes: #1037822
  * Change paths for python3.11	
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Jun 2023 15:05:33 +0100

pyferret (7.6.5-2) unstable; urgency=medium

  * Add platform file for gfortran-12. Closes: #1013019
  * Standards-Version: 4.6.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Jul 2022 11:28:04 +0100

pyferret (7.6.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Dec 2021 09:16:12 +0000

pyferret (7.6.5~beta-1) unstable; urgency=medium

  * New upstream release
  * Add dep on python3-qtpy. (LP: #1902527)
  * Standards-Version: 4.6.0
  * Tests marked as superficial. Closes: #974465
  * Fix d/watch file regexp for -beta extension
  * Fix formatting errors in d/copyright

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Sep 2021 16:20:57 +0100

pyferret (7.6.4~beta-1) experimental; urgency=medium

  * New upstream release
  * Add platform file for gfortran-11. Closes: #984303
  * Also allow builds with libeditreadline-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 May 2021 20:14:42 +0100
