=== debian/control ===
Source: pyferret
Standards-Version: 4.7.2
Homepage: https://ferret.pmel.noaa.gov/Ferret/documentation/pyferret
Vcs-Browser: https://salsa.debian.org/science-team/pyferret
Vcs-Git: https://salsa.debian.org/science-team/pyferret.git -b debian/latest
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 dh-fortran-mod (>= 0.31),
 pkgconf,
 python3-setuptools,
 csh,
 libreadline-dev | libeditreadline-dev,
 libcurl4-openssl-dev | libcurl-dev,
 libncurses-dev,
 libnetcdf-dev (>= 4.3.0),
 libnetcdff-dev,
 libxpm-dev,
 libxt-dev,
 libcairo2-dev,
 libpango1.0-dev,
 python3-all-dev,
 python3-numpy,
 python3-setuptools,
 ferret-vis

Package: python3-ferret
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 ferret-vis, ${python3:Depends}, python3-pyqt5, python3-pyqt5.qtsvg
Recommends: ferret-datasets, python3-scipy, python3-pyshp
Description: Python3 wrapper for the Ferret visualization and analysis environment,
 Ferret is an interactive computer visualization and analysis environment
 designed to meet the needs of oceanographers and meteorologists analyzing
 large and complex gridded data sets. It can transparently access extensive
 remote Internet data bases using OPeNDAP (formerly known as DODS)
 .
 This is the Python3 wrapper for Ferret
