=== debian/watch ===
version=4
opts=uversionmangle=s/(-beta)/beta/;s/(rc|a|b|c)/~$1/,\
  filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/PyFerret$1\.tar\.gz/ \
  https://github.com/NOAA-PMEL/PyFerret/tags .*\/v?@ANY_VERSION@.tar\.gz
